
Synnefo - Feature # 443

Status: Closed Priority: High

Author: Vangelis Koukis Category: Cyclades UI

Created: 04/20/2011 Assignee: Christos Psaltis

Updated: 06/29/2011 Due date:

Subject: Λαμπάκια στο icon και στο list view

Description

Ο [cven] θα αποφασίσει τα χρώματα που θα υπάρχουν για κάθε διαφορετική κατάσταση στα blinkenlichten σε icon και list view. Όλα

τα λαμπάκια θα ανάβουν μαζί.

Ανάλογα με το status (Running, Stopped, Building) και το λεκτικό (Starting, Shutting Down).

Zo relaxen und watchen die Blinkenlichten.

Associated revisions

Revision 07c994a9 - 06/14/2011 06:00 pm - Markos Gogoulos 

add colors on different statuses of the icon view

On ui. Use classes indicator[1-4] for different colors

Refs #443

Revision 08c6e8da - 06/14/2011 06:30 pm - Markos Gogoulos 

fix ui icon colors and notifications

Refs #443

Revision e30babe3 - 06/14/2011 06:47 pm - Markos Gogoulos 

ui colors and notifications

For transition of states (running, rebooting, etc)

Refs #443

Revision c3e60481 - 06/16/2011 01:46 pm - Markos Gogoulos 

fix ui styling.

fix colors on state transitions. Add width on actions for proper hover

Refs #443

Revision 4449fac0 - 06/16/2011 03:23 pm - Markos Gogoulos 
fix ui color for notifications

Refs #443

Revision 3cdf1ded - 06/16/2011 05:23 pm - Markos Gogoulos 

fix ui colors, on reboot state

Refs #443

Revision be8c2a2d - 06/16/2011 05:24 pm - Markos Gogoulos 

fix typo error on previous commit

Refs #443

Revision 8553f06e - 06/16/2011 08:40 pm - Markos Gogoulos 

fix css, status color borders small change

Refs #443

History

#1 - 05/13/2011 11:14 am - Vangelis Koukis

- Target version changed from v0.4 to v0.5

#2 - 06/10/2011 02:02 pm - Christos Psaltis

- Status changed from New to Feedback

#3 - 06/10/2011 06:45 pm - Constantinos Venetsanopoulos

- Status changed from Feedback to Assigned

running --> πράσινο

reboot --> κίτρινο

error --> κόκκινο

unknown --> κόκκινο 

terminated --> γκρι

building --> μπλε

shutting down --> πρασινο γκρι πρασινο γκρι

rebooting --> κίτρινο

starting --> γκρι πρασινο γκρι πρασινο

#4 - 06/13/2011 06:21 pm - Markos Gogoulos

- Status changed from Assigned to Feedback

- Assignee changed from Christos Psaltis to Markos Gogoulos
Μπορείς να μας δώσεις τους κωδικούς για τα χρώματα?

#5 - 06/14/2011 02:47 pm - Constantinos Venetsanopoulos

- Status changed from Feedback to Assigned

running --> πράσινο ( 447821 )  

reboot --> κίτρινο ( d4aa00 )

error --> κόκκινο  ( 800000 )

unknown --> κόκκινο ( 800000 )

terminated --> γκρι ( ίδιο με το "terminated" )

building --> μπλε ( αυτό που υπάρχει τώρα )

shutting down --> πρασινο γκρι πρασινο γκρι (το παραπάνω γκρι και πράσινο)

rebooting --> κίτρινο ( d4aa00 )

starting --> γκρι πρασινο γκρι πρασινο (το παραπάνω γκρι και πράσινο)

#6 - 06/14/2011 06:48 pm - Markos Gogoulos

- Status changed from Assigned to Feedback

Έχει γίνει το μεγαλύτερο μέρος των transitions και states. Είναι εύκολο να επαληθεύσεις οτι έχει γίνει καθώς επίσης και ποιές περιπτώσεις

εκκρεμούν?

#7 - 06/15/2011 01:12 am - Vangelis Koukis

- Status changed from Feedback to Assigned

Markos Gogoulos wrote:

Έχει γίνει το μεγαλύτερο μέρος των transitions και states. Είναι εύκολο να επαληθεύσεις οτι έχει γίνει καθώς επίσης και ποιές περιπτώσεις

εκκρεμούν?

Καλησπέρα Μάρκο,

δεδομένου ότι το χρώμα για κάθε κατάσταση είναι τεκμηριωμένο με πολύ συγκεκριμένο τρόπο:

Constantinos Venetsanopoulos wrote:

running --> πράσινο ( 447821 )  

reboot --> κίτρινο ( d4aa00 )

error --> κόκκινο  ( 800000 )

unknown --> κόκκινο ( 800000 )

terminated --> γκρι ( ίδιο με το "terminated" )

building --> μπλε ( αυτό που υπάρχει τώρα )

shutting down --> πρασινο γκρι πρασινο γκρι (το παραπάνω γκρι και πράσινο)

rebooting --> κίτρινο ( d4aa00 )

starting --> γκρι πρασινο γκρι πρασινο (το παραπάνω γκρι και πράσινο)
νομίζω ότι δεν έχει νόημα να αφιερωθεί έξτρα χρόνος κι από τον Κωνσταντίνο να ανακαλύπτει κάτι που ήδη ξέρεις, τι έχει γίνει και τι όχι, και από

εσένα για να συμπληρώσεις ότι λείπει.

Έχουν αντιστοιχιστεί τα ανάλογα χρώματα σε κάθε κατάσταση; αν ναι, το λες και το ticket μένει ανοιχτό μέχρι να γίνει μια τελική επαλήθευση.

Αν όχι, τότε πλζ δες τι δεν έχει υλοποιηθεί από την παραπάνω εξαντλητική λίστα και διόρθωσέ το.

#8 - 06/16/2011 01:48 pm - Markos Gogoulos

- Status changed from Assigned to Feedback

Στο icon view νομίζω είμαστε οκ.

Με το list view δεν έχω καταλάβει αν πρέπει να μπουν χρώματα και που.

#9 - 06/16/2011 02:21 pm - Christos Psaltis

- Status changed from Feedback to Assigned

Το ξαναανοίγω γιατί εντόπισα μερικές περιπτώσεις που δεν λειτουργούν καλά.

#10 - 06/16/2011 04:25 pm - Markos Gogoulos

- Status changed from Assigned to Feedback

Οκ με το icon view. Με το list view θέλουμε τα αντίστοιχα χρώματα στο status. ή κάτι άλλο?

#11 - 06/16/2011 04:35 pm - Constantinos Venetsanopoulos

- Status changed from Feedback to Assigned

το icon view δεν βλέπω να λειτουργεί σωστά.

Το state rebooting δίνει ακόμη μπλε εικονίδια

#12 - 06/16/2011 05:25 pm - Markos Gogoulos

- Status changed from Assigned to Feedback

To reboot state πλεον δειχνει το σωστο χρωμα. Με το list view?

#13 - 06/16/2011 05:36 pm - Constantinos Venetsanopoulos

- Status changed from Feedback to Assigned

To list view το αφήνεις προς το παρόν. Το θέμα είναι ότι τώρα εμφανίζεται πλέον λευκό border γύρω από τα λαμπάκια και χωρίς να είναι αναμμένο το

hoverbox. Γιατί άλλαξε αυτό;
Να φύγει το λευκό border ώστε να ξεχωρίσουν τα 4 κουτιά και για να κάνουμε τη ζωή μας πιο εύκολη ας φύγει το border και όταν βγαίνει το hoverbox

#14 - 06/16/2011 08:43 pm - Markos Gogoulos

- Status changed from Assigned to Feedback

Οκ, έφυγε το άσπρο border

#15 - 06/17/2011 10:22 am - Christos Psaltis

- Status changed from Feedback to Assigned

Μάρκο, ξέχασες να κάνεις push.

#16 - 06/17/2011 02:16 pm - Markos Gogoulos

- Status changed from Assigned to Feedback

Είχα ξεχάσει να κάνω git push, apologies!

#17 - 06/23/2011 02:15 pm - Constantinos Venetsanopoulos

- Status changed from Feedback to Assigned

To μπλε του building δεν είναι το μπλε της πάνω πάνω σκούρας μπάρας αλλά το μπλε του παλιού css.

Επίσης το destroying ας γίνει το γκρι κοκκινο γκρι κοκκινο (με το γκρι του stopped και το κοκκινο του error).

#18 - 06/23/2011 04:30 pm - Markos Gogoulos

- Status changed from Assigned to Feedback

Ok με το destroying. Το μπλε ποιο εννοείς? Έχεις πρόχειρο το code?

#19 - 06/23/2011 10:19 pm - Christos Psaltis

Σε αυτό χρησιμοποίησα τελικά το σκούρο μπλε που υπάρχει και σε άλλα σημεία του ui (separators, info button). Είναι οκ έτσι;

#20 - 06/24/2011 12:54 pm - Constantinos Venetsanopoulos

- Status changed from Feedback to Closed

ok, closed

#21 - 06/24/2011 04:44 pm - Constantinos Venetsanopoulos

- Status changed from Closed to Assigned
Το ξανανοίγω:

Όταν κάνεις μαζικά confirmation από το button "confirm all" δεν αλλάζουν τα λαμπάκια. Μένουν στο χρώμα που ήταν.

Το δοκίμασα με reboot και shutdown

#22 - 06/25/2011 03:02 pm - Christos Psaltis

- Status changed from Assigned to Feedback

- Assignee changed from Markos Gogoulos to Christos Psaltis

Έλειπε ένα μικρό κομμάτι κώδικα από το συγκεκριμένο σημείο. Προστέθηκε στο commit:ed7b588e.

#23 - 06/27/2011 10:22 am - Constantinos Venetsanopoulos

- Status changed from Feedback to Closed

ok, closed

#24 - 06/29/2011 01:34 pm - Constantinos Venetsanopoulos

- Status changed from Closed to Assigned

- Priority changed from Medium to High

Eδώ ζητήθηκε αλλαγή στους hex codes. Όλα τα states και transitions μένουν ώς έχουν:

running --> πράσινο ( 63cf1c )

reboot --> κίτρινο ( d4aa00 ) Όπως ήταν και πριν

error --> κόκκινο ( ff0000 )

unknown --> κόκκινο ( ff0000 )

terminated --> σκούρο κόκκινο ( 5e1616 )

building --> το πορτοκαλί του "Create New +" button

destroying --> το μπλε της πάνω πάνω μπάρας του site

shutting down --> παλ κόκκινο ( 940606 )

rebooting --> κίτρινο ( d4aa00 ) Όπως ήταν και πριν

starting --> αχνό πράσινο ( 9ed976 )

#25 - 06/29/2011 02:13 pm - Christos Psaltis

- Status changed from Assigned to Feedback

ok, τα άλλαξα

#26 - 06/29/2011 02:17 pm - Constantinos Venetsanopoulos

- Status changed from Feedback to Closed
ok, closed
